<img src="https://drive.google.com/uc?export=view&id=1AKtpI2nYDZBaPwKc6mQJCY1M0iaT_VEo" align="right"
     alt="Logo" width="80" height="80">


# 4th-IR AI Tools

This package contains various methods for accessing AI models created by 4th-IR through an API.

## Available Models
 
### Text Classification
* [Text Classification - Facebook- Bart-large-mnli](https://text-classification-bart-large.icysmoke-f4846de1.switzerlandnorth.azurecontainerapps.io/docs)
* [Text Classification - BART](https://text-classification-bart.agreeabledune-08a9cefb.switzerlandnorth.azurecontainerapps.io/docs)
* [Text Classification - Valhalla- Distil-mnli-12](https://text-classification-disbart-mnli.calmground-e921d537.switzerlandnorth.azurecontainerapps.io/docs)
 
 
### Text Summarization
* [Text Summarization - Bert2Bert Small](https://text-summarization.agreeabledune-08a9cefb.switzerlandnorth.azurecontainerapps.io/docs)
 
 
### Text Utility
 
* [Text Utility](https://text-utility.ai-sandbox.ch/docs)
 
### Named Entity Recognition
 
* [Name Entity Recognition Spacy](https://text-named-entity-recognition-spacy-ner.ai-sandbox.ch)
 
 
### Mistral
 
* [Mistral](https://mistral.agreeabledune-08a9cefb.switzerlandnorth.azurecontainerapps.io/docs)
 
 
### Image Classification
 
* [Image Classification - CLIP ViT](https://image-class-openai-clip-vit.agreeabledune-08a9cefb.switzerlandnorth.azurecontainerapps.io/docs)

* [Image Classification - Dit-base-finetuned-rvlcdip](https://image-c-document-finetuned.agreeabledune-08a9cefb.switzerlandnorth.azurecontainerapps.io/docs)

* [Image Classification - EfficientNetB1](https://image-class-efficientnet.blackdune-63837cff.switzerlandnorth.azurecontainerapps.io/docs)
 
### Text Comparison
 
* [Text Comparison - All-MPnet-Base-v2](https://text-comparison-mpnet.calmflower-186525cd.switzerlandnorth.azurecontainerapps.io/docs)

* [Text Comparison - AllMiniLM](https://text-comparison-minilm.calmflower-186525cd.switzerlandnorth.azurecontainerapps.io)
 
 
### Text Translation
 
* [Text Translation - Transformers(English, French, Romanian, German)](https://text-translation-transformers.blackdune-63837cff.switzerlandnorth.azurecontainerapps.io/docs)
 
 
### Text Sentiment Analysis
 
* [Text Sentimental Analysis Bert Multilingual](https://text-sentiment-analysis.calmflower-186525cd.switzerlandnorth.azurecontainerapps.io/api/v1/classify)
 
 
### Text Question Answering
 
* [Question and Answering Intel DynamicTinybert](https://tqa-intel-dynamic-tinybert.agreeabledune-08a9cefb.switzerlandnorth.azurecontainerapps.io/docs)

* [Question Answering Distilbert Base Cased Distilled Squad](https://tqa-distilbert-distilled-squad.blackdune-63837cff.switzerlandnorth.azurecontainerapps.io)


### Object Detection

* [Object Detection Circular Net](https://image-obje-detec-circularnet.icysmoke-f4846de1.switzerlandnorth.azurecontainerapps.io)
* [Object Detection EfficientDet/d7](https://image-object-dec-effi-det.icysmoke-f4846de1.switzerlandnorth.azurecontainerapps.io)
* [Inception Resnet v2/ Faster RCNN Object Detection](https://image-object-detect-inception-v2.icysmoke-f4846de1.switzerlandnorth.azurecontainerapps.io)
* [Faster R-CNN with Inception Resnet v2](https://image-obj-detec-incep-resnet.icysmoke-f4846de1.switzerlandnorth.azurecontainerapps.io)